using Microsoft.UI;
using Microsoft.UI.Xaml.Controls;
using Microsoft.UI.Xaml.Media;

namespace TestProject
{
    /// <summary>
    ///  
    /// </summary>
    public sealed partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - MainPage()

        /// <summary>
        /// 
        /// </summary>
        public MainPage()
        {
            InitializeComponent();

            this.progressNumberBox.ValueChanged      += progressNumberBox_ValueChanged;
            this.backgroundComboBox.SelectionChanged += backgroundComboBox_SelectionChanged;

            this.backgroundComboBox.SelectedItem = "Transparent";
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Progress ѹ ڽ   óϱ - progressNumberBox_ValueChanged(sender, e)

        /// <summary>
        /// Progress ѹ ڽ   óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void progressNumberBox_ValueChanged(NumberBox sender, NumberBoxValueChangedEventArgs e)
        {
            if(!sender.Value.IsNaN())
            {
                this.progressRing.Value = sender.Value;
            }
            else
            {
                sender.Value = 0;
            }
        }

        #endregion
        #region  ޺ ڽ   óϱ - backgroundComboBox_SelectionChanged(sender, e)

        /// <summary>
        ///  ޺ ڽ   óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void backgroundComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            string colorName = e.AddedItems[0].ToString();

            switch(colorName)
            {
                case "Transparent" : this.progressRing.Background = new SolidColorBrush(Colors.Transparent); break;
                case "LightGray"   : this.progressRing.Background = new SolidColorBrush(Colors.LightGray  ); break;
            }
        }

        #endregion
    }
}